/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pl.edu.mimuw.bioputer.tav4sb.logic.add.utils;

import java.io.IOException;
import pl.edu.mimuw.bioputer.tav4sb.utils.props.PropertiesManager;
import pl.edu.mimuw.bioputer.tav4sb.utils.props.PropertyNotFoundException;

/**
 *
 * @author michal
 */
public abstract class AddPropertiesManager {

    private static PropertiesManager manager;
    public static final String path = "add.properties";
    public static final String BROKERURL = "BROKER_URL";
    public static final String QUEUENAME = "QUEUE_NAME";
    public static final String TASKTYPE = "TASK_TYPE";
    public static final String THREAD_NUMBER = "THREAD_NUMBER";

    // FIXME gti shouldn't we use a factory instead?
    private static PropertiesManager getPropertiesManager() throws IOException {
        if (manager == null) {
            manager = new PropertiesManager(AddPropertiesManager.class.getClassLoader().getResourceAsStream(path));
        }
        return manager;
    }

    public static String getBrokerURL() throws IOException, PropertyNotFoundException {
        return getPropertiesManager().getProperty(BROKERURL);
    }

    public static String getQueueName() throws IOException, PropertyNotFoundException {
        return getPropertiesManager().getProperty(QUEUENAME);
    }

    public static String getTaskType() throws IOException, PropertyNotFoundException {
        return getPropertiesManager().getProperty(TASKTYPE);
    }

    public static String getThreadNumber() throws IOException, PropertyNotFoundException {
        return getPropertiesManager().getProperty(THREAD_NUMBER);
    }
}
