/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pl.edu.mimuw.bioputer.tav4sb.logic.mathematica.worker;

import pl.edu.mimuw.bioputer.tav4sb.consumer.task.WorkerFactory;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.CalcSensitivityParams;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.CalcSensitivityResult;
import pl.edu.mimuw.bioputer.tav4sb.utils.xml.XmlTranslator;

/**
 *
 * @author michal
 */
public class CalcSensitivityWorkerFactory implements WorkerFactory {

    public static final String context = "pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica";
    private static final CalcSensitivityWorkerFactory instance = new CalcSensitivityWorkerFactory();
    private static final XmlTranslator<CalcSensitivityResult, CalcSensitivityParams> translator =
            new XmlTranslator<CalcSensitivityResult, CalcSensitivityParams>(context);

    private CalcSensitivityWorkerFactory() {
    }

    public static CalcSensitivityWorkerFactory getInstance() {
        return instance;
    }

    public CalcSensitivityWorker getWorker() {
        return new CalcSensitivityWorker(translator);
    }
}
