/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package pl.edu.mimuw.bioputer.tav4sb.utils.cli;

/**
 *
 * @author trybik
 */
public abstract class AbstractJavaCmdInOutTranslator<Args extends JavaArgs, Result> implements CmdInOutTranslator<Args, Result> {
        private static final String CP_SWITCH = "-cp";

        public String[] toArgs(Args args) {
            String[] mainArgs = args.getArgs();
            String[] res = new String[3+mainArgs.length];
            res[0] = CP_SWITCH;
            res[1] = args.getClasspath();
            res[2] = args.getClassname();
            for (int i = 0; i < mainArgs.length; i++) {
                res[3+i] = mainArgs[i];
            }
            return res;
        }
}
