/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package pl.edu.mimuw.bioputer.tav4sb.utils.cli;

/**
 *
 * @author trybik
 */
public class JavaArgs {
    private final String classpath;
    private final String classname;
    private final String[] args;

    public JavaArgs(String classpath, String classname, String[] args) {
        this.classpath = classpath;
        this.classname = classname;
        this.args = args;
    }

    public JavaArgs(String classpath, String classname) {
        this(classpath, classname, new String[0]);
    }

    public String getClasspath() {
        return classpath;
    }

    public String getClassname() {
        return classname;
    }

    public String[] getArgs() {
        return args;
    }
}
